6.0.0-git
2019-04-24

[#7916] \U does not behave as described in the custom sql driver
Summary \U does not behave as described in the custom sql driver
Queue Vacation
Queue Version 3.1-RC1
Type Enhancement
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester jason.stumpf (at) gmail (dot) com
Created 2009-01-29 (3737 days ago)
Due
Updated 2009-08-18 (3536 days ago)
Assigned 2009-01-29 (3737 days ago)
Resolved 2009-08-18 (3536 days ago)
Milestone 3.1.1
Patch No

History
2009-08-18 12:55:42 Jan Schneider Comment #9
Assigned to Jan Schneider
State ⇒ Resolved
Reply to this comment
I did the same for forwards too.
2009-03-19 15:05:41 Jan Schneider Milestone ⇒ 3.1.1
 
2009-01-29 22:17:44 jason (dot) stumpf (at) gmail (dot) com Comment #6 Reply to this comment
Sorry, I didn't refresh before commenting... didn't see your comments.
2009-01-29 22:15:40 jason (dot) stumpf (at) gmail (dot) com Comment #5 Reply to this comment
This fixes it at least for me:



in Driver.php where it says:

     function Vacation_Driver($user, $realm, $params = array())

     {

         $this->_params = $params;



         // Check if hordeauth is set to 'full'

         $hordeauth = $this->getParam('hordeauth');

         if ($hordeauth !== 'full') {

             @list($user,) = explode('@', $user, 2);

         }

         $this->_user = $user;



         if (!isset($params[$realm])) {

             $realm = 'default';

         }

         $this->_realm = $realm;

     }



change it to:    function Vacation_Driver($user, $realm, $params = array())

     {

         $this->_params = $params;



         if (!isset($params[$realm])) {

             $realm = 'default';

         }

         $this->_realm = $realm;



         // Check if hordeauth is set to 'full'

         $hordeauth = $this->getParam('hordeauth');

         if ($hordeauth !== 'full') {

             @list($user,) = explode('@', $user, 2);

         }

         $this->_user = $user;



     }



I don't know your codebase well, but it seems to me that getParam 
depends on $this->_ream being set, but it wasn't.
2009-01-29 22:10:31 Jan Schneider Taken from Jan Schneider
Milestone ⇒ 3.1
 
2009-01-29 22:10:14 Jan Schneider Comment #4
Type ⇒ Enhancement
State ⇒ Accepted
Priority ⇒ 1. Low
Reply to this comment
I think we need different placeholders for full user name and local 
user name, i.e. username without domain or with realm suffix.
2009-01-29 22:03:08 Jan Schneider Comment #3
Assigned to Jan Schneider
State ⇒ Assigned
Reply to this comment
Same in the sql driver.  Also, it doesn't seem to care what I set the
hordeauth parameter to.
The latter has been fixed in CVS already.
2009-01-29 21:47:04 jason (dot) stumpf (at) gmail (dot) com Comment #2 Reply to this comment
Same in the sql driver.  Also, it doesn't seem to care what I set the 
hordeauth parameter to.
2009-01-29 21:36:05 jason (dot) stumpf (at) gmail (dot) com Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ \U does not behave as described in the custom sql driver
Queue ⇒ Vacation
Milestone ⇒
Patch ⇒ No
Reply to this comment
I am using vacation-FRAMEWORK_3-2009-01-29.tar.gz



The config for custom sql says "The current FULL username will be 
provided as \U", but actually only the username up to the @ is 
provided.  (I know this could be fixed by just changing the 
description, but at least to me, changing the behavior to give the 
full username would be much more helpful.)

Saved Queries